Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLLinkElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLLinkElementImpl

All Implemented Interfaces:
  Element, HTMLElement, HTMLLinkElement, Node

public class JRexHTMLLinkElementImpl
extends JRexHTMLElementImpl
implements HTMLLinkElement

A class implementing org.w3c.dom.html2.HTMLLinkElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLLinkElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getCharset()` The character encoding of the resource being linked to.
`boolean` | `getDisabled()` Enables/disables the link.
`String` | `getHref()` The URI [IETF RFC 2396] of the linked resource.
`String` | `getHreflang()` Language code of the linked resource.
`String` | `getMedia()` Designed for use with one or more target media.
`String` | `getRel()` Forward link type.
`String` | `getRev()` Reverse link type.
`String` | `getTarget()` Frame to render the resource in.
`String` | `getType()` Advisory content type.
`void` | `setCharset(String charset)` The character encoding of the resource being linked to.
`void` | `setDisabled(boolean disabled)` Enables/disables the link.
`void` | `setHref(String href)` The URI [IETF RFC 2396] of the linked resource.
`void` | `setHreflang(String hreflang)` Language code of the linked resource.
`void` | `setMedia(String media)` Designed for use with one or more target media.
`void` | `setRel(String rel)` Forward link type.
`void` | `setRev(String rev)` Reverse link type.
`void` | `setTarget(String target)` Frame to render the resource in.
`void` | `setType(String type)` Advisory content type.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getDisabled

    public boolean getDisabled()

  Description copied from interface: `HTMLLinkElement`
  Enables/disables the link. This is currently only used for style sheet links, and may be used to activate or deactivate style sheets.

  Specified by:
    `getDisabled` in interface `HTMLLinkElement`

### setDisabled

    public void setDisabled(boolean disabled)

  Description copied from interface: `HTMLLinkElement`
  Enables/disables the link. This is currently only used for style sheet links, and may be used to activate or deactivate style sheets.

  Specified by:
    `setDisabled` in interface `HTMLLinkElement`

### getCharset

    public String getCharset()

  Description copied from interface: `HTMLLinkElement`
  The character encoding of the resource being linked to. See the charset attribute definition in HTML 4.01.

  Specified by:
    `getCharset` in interface `HTMLLinkElement`

### setCharset

    public void setCharset(String charset)

  Description copied from interface: `HTMLLinkElement`
  The character encoding of the resource being linked to. See the charset attribute definition in HTML 4.01.

  Specified by:
    `setCharset` in interface `HTMLLinkElement`

### getHref

    public String getHref()

  Description copied from interface: `HTMLLinkElement`
  The URI [IETF RFC 2396] of the linked resource. See the href attribute definition in HTML 4.01.

  Specified by:
    `getHref` in interface `HTMLLinkElement`

### setHref

    public void setHref(String href)

  Description copied from interface: `HTMLLinkElement`
  The URI [IETF RFC 2396] of the linked resource. See the href attribute definition in HTML 4.01.

  Specified by:
    `setHref` in interface `HTMLLinkElement`

### getHreflang

    public String getHreflang()

  Description copied from interface: `HTMLLinkElement`
  Language code of the linked resource. See the hreflang attribute definition in HTML 4.01.

  Specified by:
    `getHreflang` in interface `HTMLLinkElement`

### setHreflang

    public void setHreflang(String hreflang)

  Description copied from interface: `HTMLLinkElement`
  Language code of the linked resource. See the hreflang attribute definition in HTML 4.01.

  Specified by:
    `setHreflang` in interface `HTMLLinkElement`

### getMedia

    public String getMedia()

  Description copied from interface: `HTMLLinkElement`
  Designed for use with one or more target media. See the media attribute definition in HTML 4.01.

  Specified by:
    `getMedia` in interface `HTMLLinkElement`

### setMedia

    public void setMedia(String media)

  Description copied from interface: `HTMLLinkElement`
  Designed for use with one or more target media. See the media attribute definition in HTML 4.01.

  Specified by:
    `setMedia` in interface `HTMLLinkElement`

### getRel

    public String getRel()

  Description copied from interface: `HTMLLinkElement`
  Forward link type. See the rel attribute definition in HTML 4.01.

  Specified by:
    `getRel` in interface `HTMLLinkElement`

### setRel

    public void setRel(String rel)

  Description copied from interface: `HTMLLinkElement`
  Forward link type. See the rel attribute definition in HTML 4.01.

  Specified by:
    `setRel` in interface `HTMLLinkElement`

### getRev

    public String getRev()

  Description copied from interface: `HTMLLinkElement`
  Reverse link type. See the rev attribute definition in HTML 4.01.

  Specified by:
    `getRev` in interface `HTMLLinkElement`

### setRev

    public void setRev(String rev)

  Description copied from interface: `HTMLLinkElement`
  Reverse link type. See the rev attribute definition in HTML 4.01.

  Specified by:
    `setRev` in interface `HTMLLinkElement`

### getTarget

    public String getTarget()

  Description copied from interface: `HTMLLinkElement`
  Frame to render the resource in. See the target attribute definition in HTML 4.01.

  Specified by:
    `getTarget` in interface `HTMLLinkElement`

### setTarget

    public void setTarget(String target)

  Description copied from interface: `HTMLLinkElement`
  Frame to render the resource in. See the target attribute definition in HTML 4.01.

  Specified by:
    `setTarget` in interface `HTMLLinkElement`

### getType

    public String getType()

  Description copied from interface: `HTMLLinkElement`
  Advisory content type. See the type attribute definition in HTML 4.01.

  Specified by:
    `getType` in interface `HTMLLinkElement`

### setType

    public void setType(String type)

  Description copied from interface: `HTMLLinkElement`
  Advisory content type. See the type attribute definition in HTML 4.01.

  Specified by:
    `setType` in interface `HTMLLinkElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.